gss_release_buffer(3)

NAME
gss_release_buffer - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_release_buffer(OM_uint32 * minor_status, gss_buffer_t buffer);

ARGUMENTS

OM_uint32 * minor_status
    (integer, modify) Mechanism specific status code.

gss_buffer_t buffer
    (buffer, modify) The storage associated with the buffer
      will be deleted. The gss_buffer_desc object will not be freed,
      but its length field will be zeroed.

DESCRIPTION
Free storage associated with a buffer. The storage must have been allocated by a GSS-API routine. In addition to freeing the associated storage, the routine will zero the length field in the descriptor to which the buffer parameter refers, and implementations are encouraged to additionally set the pointer field in the descriptor to NULL. Any buffer object returned by a GSS-API routine may be passed to gss_release_buffer (even if there is no storage associated with the buffer).

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.